### Method

# Vte Pty set_utf8

#### Declaration [src]

    gboolean
    vte_pty_set_utf8 (
      VtePty* pty,
      gboolean utf8,
      GError** error
    )

#### Description [src]

Tells the kernel whether the terminal is UTF-8 or not, in case it can make use of the info. Linux 2.6.5 or so defines IUTF8 to make the line discipline do multibyte backspace correctly.

#### Parameters

`utf8`

  Type: `gboolean`

  Whether or not the pty is in UTF-8 mode.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` on failure with `error` filled in.